> For the complete documentation index, see [llms.txt](https://docs.ingestlabs.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ingestlabs.com/implementation/react-native-sdk/display-debug-id.md).

# Display Debug Id

Once the SDK is initialized, MagicPixel SDK exposes a method to print or display the debug id that can be used to validate analytics on the MagicPixel web portal.

On the settings page of your application, invoke the below method to get the debugId and either show an alert message with the debugId or display it in a manner that is consistent with the user experience of the application.

Copy

```
const mpDebugId = MagicPixel.getDebugId();

// Example
alert('MP Debug Id: ' + mpDebugId);
```

[PreviousConfiguration](/implementation/react-native-sdk/configuration.md) [NextTracking Events](https://magic-pixel.gitbook.io/ingest-labs-implementation/react-native-sdk/tracking-events)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.ingestlabs.com/implementation/react-native-sdk/display-debug-id.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
